## org.eclipse.emf.codegen.merge.java.facade.ast
Class ASTJEnumConstant

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
          org.eclipse.emf.codegen.merge.java.facade.ast.ASTJNode<T>
              org.eclipse.emf.codegen.merge.java.facade.ast.ASTJMember<org.eclipse.jdt.core.dom.EnumConstantDeclaration>
                  org.eclipse.emf.codegen.merge.java.facade.ast.ASTJEnumConstant

All Implemented Interfaces:
  JEnumConstant, JMember, JNode

    public class ASTJEnumConstant

extends ASTJMember<org.eclipse.jdt.core.dom.EnumConstantDeclaration>
implements JEnumConstant

Field Summary
`protected java.lang.String[]` `arguments` Cached array of arguments
`protected java.lang.String` `body` Cached body of the enum constant.

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJMember
`comment`

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJNode
`isCommentedOut, name, rewriter, UNITIALIZED_STRING`

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`EMPTY_STRING_ARRAY, qualifiedName`

Constructor Summary
`ASTJEnumConstant(org.eclipse.jdt.core.dom.EnumConstantDeclaration enumConstantDeclaration)`

Method Summary
`void` `dispose()`
`java.lang.String[]` `getArguments()` Returns an ordered list of arguments as declared in source.
`java.lang.String` `getBody()` Returns body of the enum constant.
`java.lang.String` `getName()` Returns the name of this node.
`void` `setArguments(java.lang.String[] arguments)`
`void` `setBody(java.lang.String body)`
`void` `setName(java.lang.String name)` Sets the name of this node.

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJMember
`addChild, getAnnotationList, getChildren, getComment, getFlags, insertLastAnnotation, insertSibling, remove, setComment, setFlags`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJNode

`addValueToListProperty, addValueToListProperty, ancestorInserted, ancestorToBeRemoved, childToBeChanged, combineArrayAndList, commentOut, convertASTNodeListToStringArray, disableTrackAndReplace, enableTrackAndReplace, getASTNode, getContents, getFacadeHelper, getParent, getRemovedASTNode, getRewriter, getWrappedObject, insert, insertFirst, insertLast, isDisposed, nodeToBeMoved, nodeToBeRemoved, remove, removeNodeFromListProperty, removeTrackAndReplace, setASTNode, setFacadeHelper, setListNodeProperty, setNodeProperty, setNodeProperty, setParent, setRemovedASTNode, setRewriter, setTrackedNodeProperty, setWrappedObject, trackAndReplace`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`computeQualifiedName, computeQualifiedName, computeQualifiedName, computeQualifiedName, getName, getQualifiedName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JMember
`getComment, setComment`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getChildren, getContents, getFlags, getParent, getQualifiedName, setFlags`

Field Detail

### arguments

    protected java.lang.String[] arguments

  Cached array of arguments

  See Also:
    `getArguments()`, `setArguments(String[])`

### body

    protected java.lang.String body

  Cached body of the enum constant.

  See Also:
    `getBody()`, `setBody(String)`

Constructor Detail

### ASTJEnumConstant

    public ASTJEnumConstant(org.eclipse.jdt.core.dom.EnumConstantDeclaration enumConstantDeclaration)

Parameters:
  `enumConstantDeclaration` -

Method Detail

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `ASTJMember<org.eclipse.jdt.core.dom.EnumConstantDeclaration>`

### getArguments

    public java.lang.String[] getArguments()

  Description copied from interface: `JEnumConstant`
  Returns an ordered list of arguments as declared in source.

  Specified by:
    `getArguments` in interface `JEnumConstant`
  Returns:
    arguments, or empty array if none

### setArguments

    public void setArguments(java.lang.String[] arguments)

  Specified by:
    `setArguments` in interface `JEnumConstant`

### getBody

    public java.lang.String getBody()

  Description copied from interface: `JEnumConstant`
  Returns body of the enum constant.

  Specified by:
    `getBody` in interface `JEnumConstant`
  Returns:
    body, empty string if none

### setBody

    public void setBody(java.lang.String body)

  Specified by:
    `setBody` in interface `JEnumConstant`

### getName

    public java.lang.String getName()

  Description copied from interface: `JNode`
  Returns the name of this node.

  Specified by:
    `getName` in interface `JNode`
  Returns:
    the name, or `null` if it has no name

### setName

    public void setName(java.lang.String name)

  Description copied from interface: `JNode`
  Sets the name of this node. If the name is used to match the nodes to be merged, it is highly recommended not to use this method.

  Specified by:
    `setName` in interface `JNode`
  See Also:
    `JNode.getQualifiedName()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.